org.bouncycastle.pqc.crypto.mlkem

## Class MLKEMPrivateKeyParameters

- java.lang.Object
- - org.bouncycastle.crypto.params.AsymmetricKeyParameter
  - - org.bouncycastle.pqc.crypto.mlkem.MLKEMKeyParameters
    - - org.bouncycastle.pqc.crypto.mlkem.MLKEMPrivateKeyParameters

- All Implemented Interfaces:
    CipherParameters

      public class MLKEMPrivateKeyParameters
      extends MLKEMKeyParameters

  Private key parameters for ML-KEM (Module-Lattice Key Encapsulation Mechanism). Contains the private key components including seed, secret, and related values.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) byte[]` | `hpk`
    `(package private) byte[]` | `nonce`
    `(package private) byte[]` | `rho`
    `(package private) byte[]` | `s`
    `(package private) byte[]` | `seed`
    `(package private) byte[]` | `t`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MLKEMPrivateKeyParameters(MLKEMParameters params, byte[] encoding)`
    `MLKEMPrivateKeyParameters(MLKEMParameters params, byte[] s, byte[] hpk, byte[] nonce, byte[] t, byte[] rho)`
    `MLKEMPrivateKeyParameters(MLKEMParameters params, byte[] s, byte[] hpk, byte[] nonce, byte[] t, byte[] rho, byte[] seed)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getEncoded()`
    `byte[]` | `getHPK()`
    `byte[]` | `getNonce()`
    `byte[]` | `getPublicKey()`
    `MLKEMPublicKeyParameters` | `getPublicKeyParameters()`
    `byte[]` | `getRho()`
    `byte[]` | `getS()`
    `byte[]` | `getSeed()`
    `byte[]` | `getT()`

    - ### Methods inherited from class org.bouncycastle.pqc.crypto.mlkem.MLKEMKeyParameters

      `getParameters`

    - ### Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter

      `isPrivate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### hpk

          final byte[] hpk

    - #### nonce

          final byte[] nonce

    - #### rho

          final byte[] rho

    - #### s

          final byte[] s

    - #### seed

          final byte[] seed

    - #### t

          final byte[] t

  - ### Constructor Detail

    - #### MLKEMPrivateKeyParameters

          public MLKEMPrivateKeyParameters(MLKEMParameters params,
                                           byte[] encoding)

    - #### MLKEMPrivateKeyParameters

          public MLKEMPrivateKeyParameters(MLKEMParameters params,
                                           byte[] s,
                                           byte[] hpk,
                                           byte[] nonce,
                                           byte[] t,
                                           byte[] rho)

    - #### MLKEMPrivateKeyParameters

          public MLKEMPrivateKeyParameters(MLKEMParameters params,
                                           byte[] s,
                                           byte[] hpk,
                                           byte[] nonce,
                                           byte[] t,
                                           byte[] rho,
                                           byte[] seed)

  - ### Method Detail

    - #### getEncoded

          public byte[] getEncoded()

    - #### getHPK

          public byte[] getHPK()

    - #### getNonce

          public byte[] getNonce()

    - #### getPublicKey

          public byte[] getPublicKey()

    - #### getPublicKeyParameters

          public MLKEMPublicKeyParameters getPublicKeyParameters()

    - #### getRho

          public byte[] getRho()

    - #### getS

          public byte[] getS()

    - #### getSeed

          public byte[] getSeed()

    - #### getT

          public byte[] getT()